<mat-sidenav-container class="sidenav-container">
  <!-- <mat-sidenav #drawer class="sidenav" fixedInViewport
      [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
      [mode]="(isHandset$ | async) ? 'over' : 'side'"
      [opened]="(isHandset$ | async) === false">
    <mat-toolbar>Menu</mat-toolbar>
    <mat-nav-list>
      <a mat-list-item [routerLink]="['./activity']" routerLinkActive="router-link-active">Activity List</a>
      <a mat-list-item [routerLink]="['./enrolled']">Enrolled</a>
      <div style=" margin-left: 15px;">
          <button mat-flat-button color="warn" [routerLink]="['/login']">Log out</button>
      </div>
    </mat-nav-list>
  </mat-sidenav> -->


  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <button type="button" aria-label="Toggle sidenav" mat-icon-button (click)="drawer.toggle()"
        *ngIf="isHandset$ | async">
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <span>Administrator</span>
      <div id="menu">
        <button mat-button [routerLink]="['./activities']" routerLinkActive="router-link-active">Register</button>
        <button mat-button [routerLink]="['./registered']" routerLinkActive="router-link-active">Activity</button>
        <button mat-stroked-button matBadge="168" matBadgePosition="above after" matBadgeColor="accent" [routerLink]="['./pending']" routerLinkActive="router-link-active">Request</button>
        <button mat-stroked-button color="primary" [routerLink]="['/login']">Log out</button>
      </div>
    </mat-toolbar>
    <!-- Add Content Here -->
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
